RedCrawler API
Manage Comments V1

Report Comment V1

Report a comment.

POST /api/v1/discussion/report

Report a comment.

Body parameters

NameTypeRequiredDescription
commentstringYesComment URL, ID, or t1_ prefixed ID.
bearerstringNoBearer token. Optional if stored in Token Vault.
reasonstringNoReport reason / site rule violated.
proxystringNoProxy. Optional if stored in Token Vault.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X POST "https://red-crawler1.p.rapidapi.com/api/v1/discussion/report" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
  -H "Content-Type: application/json" \
  --data '{"comment": "xyz789", "bearer": "<bearer>", "reason": "<reason>", "proxy": "<proxy>"}'

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/discussion/report", {
  method: "POST",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    },
    body: JSON.stringify({
  "comment": "xyz789",
  "bearer": "<bearer>",
  "reason": "<reason>",
  "proxy": "<proxy>"
})
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/discussion/report"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
    "Content-Type": "application/json"
}
payload = {
  "comment": "xyz789",
  "bearer": "<bearer>",
  "reason": "<reason>",
  "proxy": "<proxy>"
}
resp = requests.post(url, headers=headers, json=payload)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "json": {
      "errors": []
    }
  },
  "error": null,
  "timestamp": "2026-04-29T11:30:42.303121+00:00"
}

On this page